﻿CREATE DATABASE [VelocimetrADV];
Go
USE [VelocimetrADV]
GO
/****** Object:  Table [dbo].[ProjectSet]    Script Date: 11/28/2011 11:26:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[ProjectSet](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](max) NOT NULL,
	[CreateDate] [datetime2](7) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[ImportFileNameProbe1] [nvarchar](max) NULL,
	[ImportDateProbe1] [datetime] NULL,
	[ImportFileBodyProb1] [varbinary](max) NULL,
	[ImportFileNameProbe2] [nvarchar](max) NULL,
	[ImportDateProbe2] [datetime] NULL,
	[ImportFileBodyProb2] [varbinary](max) NULL,
 CONSTRAINT [PK_ProjectSet] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[DBMetaDAtaSet]    Script Date: 11/28/2011 11:26:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DBMetaDAtaSet](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](max) NOT NULL,
	[Value] [nvarchar](max) NOT NULL,
 CONSTRAINT [PK_DBMetaDAtaSet] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[TrackingSet]    Script Date: 11/28/2011 11:26:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[TrackingSet](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ProjectId] [bigint] NOT NULL,
	[lp] [int] NULL,
	[TimeStamp] [time](7) NOT NULL,
	[StartTime] [datetime] NULL,
	[EndTime] [datetime] NULL,
	[Probe1_X] [int] NOT NULL,
	[Probe1_Y] [int] NOT NULL,
	[Probe1_Z] [int] NOT NULL,
	[Probe2_X] [int] NOT NULL,
	[Probe2_Y] [int] NOT NULL,
	[Probe2_Z] [int] NOT NULL,
	[Slop] [decimal](4, 2) NULL,
	[Description] [nvarchar](max) NULL,
	[ProbeUp] [bit] NULL,
 CONSTRAINT [PK_TrackingSet] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE UNIQUE NONCLUSTERED INDEX [IX_TrackingSetProjectLp] ON [dbo].[TrackingSet] 
(
	[ProjectId] ASC,
	[lp] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SamplesSet]    Script Date: 11/28/2011 11:26:03 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SamplesSet](
	[Id] [bigint] IDENTITY(1,1) NOT NULL,
	[ProbeNo] [int] NOT NULL,
	[ProjectId] [bigint] NOT NULL,
	[TrackingId] [bigint] NULL,
	[Sample] [bigint] NOT NULL,
	[SampleTime] [datetime] NOT NULL,
	[V1_X_E] [float] NOT NULL,
	[V2_Y_N] [float] NOT NULL,
	[V3_Z_U] [float] NOT NULL,
	[Amp1] [float] NOT NULL,
	[Amp2] [float] NOT NULL,
	[Amp3] [float] NOT NULL,
	[Corr1] [float] NOT NULL,
	[Corr2] [float] NOT NULL,
	[Corr3] [float] NOT NULL,
	[SNR1] [float] NOT NULL,
	[SNR2] [float] NOT NULL,
	[SNR3] [float] NOT NULL,
	[MeanSNR] [float] NOT NULL,
	[Speed] [float] NOT NULL,
	[Direction] [float] NOT NULL,
	[MeanVel] [float] NOT NULL,
	[MeanAmp] [float] NOT NULL,
	[MeanCorr] [float] NOT NULL,
 CONSTRAINT [PK_SamplesSet] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [IX_FK_ProjectSample] ON [dbo].[SamplesSet] 
(
	[ProjectId] ASC,
	[ProbeNo] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO
/****** Object:  Default [DF_TrackingSet_ProbeUp]    Script Date: 11/28/2011 11:26:03 ******/
ALTER TABLE [dbo].[TrackingSet] ADD  CONSTRAINT [DF_TrackingSet_ProbeUp]  DEFAULT ((1)) FOR [ProbeUp]
GO
/****** Object:  ForeignKey [FK_ProjectTracking]    Script Date: 11/28/2011 11:26:03 ******/
ALTER TABLE [dbo].[TrackingSet]  WITH CHECK ADD  CONSTRAINT [FK_ProjectTracking] FOREIGN KEY([ProjectId])
REFERENCES [dbo].[ProjectSet] ([Id])
GO
ALTER TABLE [dbo].[TrackingSet] CHECK CONSTRAINT [FK_ProjectTracking]
GO
/****** Object:  ForeignKey [FK_ProjectSample]    Script Date: 11/28/2011 11:26:03 ******/
ALTER TABLE [dbo].[SamplesSet]  WITH CHECK ADD  CONSTRAINT [FK_ProjectSample] FOREIGN KEY([ProjectId])
REFERENCES [dbo].[ProjectSet] ([Id])
GO
ALTER TABLE [dbo].[SamplesSet] CHECK CONSTRAINT [FK_ProjectSample]
GO

