
-- --------------------------------------------------
-- Entity Designer DDL Script for SQL Server 2005, 2008, and Azure
-- --------------------------------------------------
-- Date Created: 11/02/2011 12:24:47
-- Generated from EDMX file: C:\Projekty\PrzeplywomierzADV\VelocimetrADV\VelocimetrADV\DataBase\Model1.edmx
-- --------------------------------------------------

SET QUOTED_IDENTIFIER OFF;
GO
USE [VelocimetrADV];
GO
IF SCHEMA_ID(N'dbo') IS NULL EXECUTE(N'CREATE SCHEMA [dbo]');
GO

-- --------------------------------------------------
-- Dropping existing FOREIGN KEY constraints
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[FK_ProjectTracking]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[TrackingSet] DROP CONSTRAINT [FK_ProjectTracking];
GO
IF OBJECT_ID(N'[dbo].[FK_ProjectSample]', 'F') IS NOT NULL
    ALTER TABLE [dbo].[SampleSet] DROP CONSTRAINT [FK_ProjectSample];
GO

-- --------------------------------------------------
-- Dropping existing tables
-- --------------------------------------------------

IF OBJECT_ID(N'[dbo].[ProjectSet]', 'U') IS NOT NULL
    DROP TABLE [dbo].[ProjectSet];
GO
IF OBJECT_ID(N'[dbo].[TrackingSet]', 'U') IS NOT NULL
    DROP TABLE [dbo].[TrackingSet];
GO
IF OBJECT_ID(N'[dbo].[SampleSet]', 'U') IS NOT NULL
    DROP TABLE [dbo].[SampleSet];
GO

-- --------------------------------------------------
-- Creating all tables
-- --------------------------------------------------

-- Creating table 'ProjectSet'
CREATE TABLE [dbo].[ProjectSet] (
    [Id] bigint IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(max)  NOT NULL,
    [CreateDate] datetime  NOT NULL,
    [Description] nvarchar(max)  NULL,
    [ImportFileName] nvarchar(max)  NULL,
    [ImportDate] datetime  NULL,
    [ImportFileBody] varbinary(max)  NULL
);
GO

-- Creating table 'TrackingSet'
CREATE TABLE [dbo].[TrackingSet] (
    [Id] bigint IDENTITY(1,1) NOT NULL,
    [ProjectId] bigint  NOT NULL,
    [TimeStamp] datetime  NOT NULL,
    [StartTime] datetime  NULL,
    [EndTime] datetime  NULL,
    [Probe1_X] int  NOT NULL,
    [Probe1_X_1] int  NOT NULL,
    [Probe1_Y] int  NOT NULL,
    [Probe1_Z] int  NOT NULL,
    [Probe2_X] int  NOT NULL,
    [Probe2_Y] int  NOT NULL,
    [Probe2_Z] int  NOT NULL,
    [Slop] decimal(4,2)  NULL,
    [Description] nvarchar(max)  NULL
);
GO

-- Creating table 'SamplesSet'
CREATE TABLE [dbo].[SamplesSet] (
    [Id] bigint IDENTITY(1,1) NOT NULL,
    [ProjectId] bigint  NOT NULL,
    [TrackingId] bigint  NULL,
    [Sample] bigint  NOT NULL,
    [SampleTime] datetime  NOT NULL,
    [V1_X_E] float  NOT NULL
);
GO

-- Creating table 'DBMetaDAtaSet'
CREATE TABLE [dbo].[DBMetaDAtaSet] (
    [Id] int IDENTITY(1,1) NOT NULL,
    [Name] nvarchar(max)  NOT NULL,
    [Value] nvarchar(max)  NOT NULL
);
GO

-- --------------------------------------------------
-- Creating all PRIMARY KEY constraints
-- --------------------------------------------------

-- Creating primary key on [Id] in table 'ProjectSet'
ALTER TABLE [dbo].[ProjectSet]
ADD CONSTRAINT [PK_ProjectSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'TrackingSet'
ALTER TABLE [dbo].[TrackingSet]
ADD CONSTRAINT [PK_TrackingSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'SamplesSet'
ALTER TABLE [dbo].[SamplesSet]
ADD CONSTRAINT [PK_SamplesSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- Creating primary key on [Id] in table 'DBMetaDAtaSet'
ALTER TABLE [dbo].[DBMetaDAtaSet]
ADD CONSTRAINT [PK_DBMetaDAtaSet]
    PRIMARY KEY CLUSTERED ([Id] ASC);
GO

-- --------------------------------------------------
-- Creating all FOREIGN KEY constraints
-- --------------------------------------------------

-- Creating foreign key on [ProjectId] in table 'TrackingSet'
ALTER TABLE [dbo].[TrackingSet]
ADD CONSTRAINT [FK_ProjectTracking]
    FOREIGN KEY ([ProjectId])
    REFERENCES [dbo].[ProjectSet]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ProjectTracking'
CREATE INDEX [IX_FK_ProjectTracking]
ON [dbo].[TrackingSet]
    ([ProjectId]);
GO

-- Creating foreign key on [ProjectId] in table 'SamplesSet'
ALTER TABLE [dbo].[SamplesSet]
ADD CONSTRAINT [FK_ProjectSample]
    FOREIGN KEY ([ProjectId])
    REFERENCES [dbo].[ProjectSet]
        ([Id])
    ON DELETE NO ACTION ON UPDATE NO ACTION;

-- Creating non-clustered index for FOREIGN KEY 'FK_ProjectSample'
CREATE INDEX [IX_FK_ProjectSample]
ON [dbo].[SamplesSet]
    ([ProjectId]);
GO

-- --------------------------------------------------
-- Script has ended
-- --------------------------------------------------